> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Campaign

> Update campaign settings and tracking/budget/cost configuration

<ParamField path="campaignId" type="string" required>
  Campaign identifier
</ParamField>

## Request Body

All fields are optional.

* `name`, `description`, `status`
* `goalType`, `goalValue`
* `costModel`, `costOverride`, `costCurrency`
* `dailyBudget`, `totalBudget`
* `conversionTracking`
* `tags`, `metadata`

## Access

* Permission: `campaigns:update`

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.linquid.io/api/campaigns/campaign_xyz789 \
    -H "Authorization: Bearer <token>" \
    -H "Content-Type: application/json" \
    -d '{
      "status": "paused",
      "costModel": "cpa",
      "costOverride": 12
    }'
  ```
</RequestExample>

## Common Errors

* `400`: unsupported currency or validation failure
* `404`: campaign not found
